Subject: RE: Missing libc documentation
From: "Demmer, Thomas" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Fri, 26 Jul 2002 11:21:38 +0200

Well, setup says during an upgrade that it first
uninstalls the old package, and then installs the new one. 
Which files to uninstall it finds in /etc/setup/package.
I don't know if it checks if one of the files has changed, 
and then not delete them but rename them to foo.old or 
so. At least, this would be helpful for files like /etc/profile

This approach is basically a good idea, as it gurantees a clean
install. However, this fails if some files are omitted by the package 
maintainer. I am pretty sure this did not happen on purpose
(unless cgf wants to be mean again :-)

How to extract the files manually:
1) Check if you happen to have cygwin-1.3.10-1.tar.bz2 in
 your download directory 
2) If not, use setup to download this version. (I hope, it is still
 available, this is unchecked)
3) In a bash window, issue the following commands:
cd /
tar -vjxf
/pathtodownloaddirectory/some_cryptic_name_for_mirror/release/cygwin/cygwin-
1.3.10-1.tar.bz2 usr/info

(all in one line, in case Outlook butchered the line).
In my case it is
tar -vjxf
/cygdrive/h/cygwin/ftp%3a%2f%2fftp.inf.tu-dresden.de%2fsoftware%2fwindows%2f
cygwin32/release/cygwin/cygwin-1.3.10-1.tar.bz2 /usr/info

And finally:
/etc/postinstall/update-info-dir.sh.done

HTH

Ciao
Tom

> -----Original Message-----
> From:	Paul Derbyshire [SMTP:[email-masked]]
> Sent:	Friday, July 26, 2002 11:08 AM
> To:	Demmer, Thomas
> Subject:	RE: Missing libc documentation
> 
> On 26 Jul 2002 at 8:11, Demmer, Thomas wrote:
> 
> > Paul,
> > this probably happened when you upgraded from cygwin-1.3.10-1 to 
> > a newer version, there lib.info is missing. The workaround is to
> > download 1.3.10-1 and extract the files manually. 
> > 
> > What happened on your box is quite simple. Setup deleted all files
> > from 10-1, and then extracted all from the newer version.
> 
> What you're saying makes no sense -- that the upgrade would *remove* 
> needed documentation? Why would it do that? It should either leave it 
> alone or replace it with better, up to date documentation, not force 
> the user to get it separately.
> 
> So how the hell do I get the files "manually"? And in the future what 
> should I back up before using setup, that setup routinely deletes and 
> doesn't replace, besides the library docs? (What as in "which 
> directories and files" rather than some package name -- I'm not sure 
> exactly where everything is stored and shouldn't have to learn IMO 
> just to be able to upgrade without losing data!)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/